% Implementation of model III.A in
% Behar et al,Biophysical Journal 93(2007): 806-821

function dx=behar3A(t,x,s)
% s is the stimulation level (system input)

% State variables
K2s=x(1);
Ks=x(2);
Ps=x(3);

k1=1e-1;
k1m=1.5e-1;
V2=3e-3;
k2m=1;
k3=4.8e-4;
k3m=1;
V4=5e-6;
k4m=1;
k5=3e-2;
k5m=2e-3;
k6=10;
k6m=0.1;
V7=1;
k7m=1e-1;

dK2s = k1*s*(1-K2s)/(k1m+(1-K2s))-V2*K2s/(k2m+K2s)-k5*Ps*K2s/(k5m+K2s);
dKs = k6*K2s*(1-Ks)/(k6m+(1-Ks))-V7*Ks/(k7m+Ks);
dPs = k3*Ks*(1-Ps)/(k3m+(1-Ps))-V4*Ps/(k4m+Ps);

dx=[dK2s;dKs;dPs];