function dstate_v = IO_module2(t,state_v,x)
% Uses global state variables
global ytot V3 V4 V5 V6
global K3 K4 K5 K6

% Definition of the state variables
y1 = state_v(1);
y3 = state_v(2);

% Conservation equation
y2 = ytot - y1 - y3;
% Differential equations
dy1 = V6*y2/(K6+y2) - V3*x*y1/(K3+y1);
dy3 = V4*x*y2/(K4+y2) - V5*y3/(K5+y3);

dstate_v = [dy1; dy3];
end