function Fig2B - Mettetal(wv_wild,Mv_wild,wv_low_Pbs2,Mv_low_Pbs2)
%FIG2B - METTETAL    Create plot of datasets and fits
%   FIG2B - METTETAL(WV_WILD,MV_WILD,WV_LOW_PBS2,MV_LOW_PBS2)
%   Creates a plot, similar to the plot in the main curve fitting
%   window, using the data that you provide as input.  You can
%   apply this function to the same data you used with cftool
%   or with different data.  You may want to edit the function to
%   customize the code and this help message.
%
%   Number of datasets:  2
%   Number of fits:  1

 
% Data from dataset "Fig2B_green_circles":
%    X = wv_wild:
%    Y = Mv_wild:
%    Unweighted
 
% Data from dataset "Fig2B_black_squares":
%    X = wv_low_Pbs2:
%    Y = Mv_low_Pbs2:
%    Unweighted
%
% This function was automatically generated on 23-Jan-2012 12:37:35

% Set up figure to receive datasets and fits
f_ = clf;
figure(f_);
set(f_,'Units','Pixels','Position',[445 130 688 486]);
legh_ = []; legt_ = {};   % handles and text for legend
xlim_ = [Inf -Inf];       % limits of x axis
ax_ = axes;
set(ax_,'Units','normalized','OuterPosition',[0 0 1 1]);
set(ax_,'Box','on');
axes(ax_); hold on;

 
% --- Plot data originally in dataset "Fig2B_green_circles"
wv_wild = wv_wild(:);
Mv_wild = Mv_wild(:);
h_ = line(wv_wild,Mv_wild,'Parent',ax_,'Color',[0 0 0],...
     'LineStyle','none', 'LineWidth',1,...
     'Marker','.', 'MarkerSize',12);
xlim_(1) = min(xlim_(1),min(wv_wild));
xlim_(2) = max(xlim_(2),max(wv_wild));
legh_(end+1) = h_;
legt_{end+1} = 'Fig2B_green_circles';
 
% --- Plot data originally in dataset "Fig2B_black_squares"
wv_low_Pbs2 = wv_low_Pbs2(:);
Mv_low_Pbs2 = Mv_low_Pbs2(:);
h_ = line(wv_low_Pbs2,Mv_low_Pbs2,'Parent',ax_,'Color',[0.333333 0 0.666667],...
     'LineStyle','none', 'LineWidth',1,...
     'Marker','.', 'MarkerSize',12);
xlim_(1) = min(xlim_(1),min(wv_low_Pbs2));
xlim_(2) = max(xlim_(2),max(wv_low_Pbs2));
legh_(end+1) = h_;
legt_{end+1} = 'Fig2B_black_squares';

% Nudge axis limits beyond data limits
if all(isfinite(xlim_))
   xlim_ = xlim_ + [-1 1] * 0.01 * diff(xlim_);
   set(ax_,'XLim',xlim_)
else
    set(ax_, 'XLim',[0.017827999999999997, 3.1565719999999997]);
end


% --- Create fit "fit 1"
fo_ = fitoptions('method','NonlinearLeastSquares','Lower',[0.10000000000000001 0.050000000000000003  0.10000000000000001],'Upper',[100   5  10]);
ok_ = isfinite(wv_wild) & isfinite(Mv_wild);
if ~all( ok_ )
    warning( 'GenerateMFile:IgnoringNansAndInfs', ...
        'Ignoring NaNs and Infs in data' );
end
st_ = [0.39301069172686565 0.37550980505095322 0.26625643141766586 ];
set(fo_,'Startpoint',st_);
ft_ = fittype('20*(log10(abs(0.4/pi*k*1i*w))-log10(abs(1-w^2/w_n^2+1i*2*zeta/w_n*w)))',...
     'dependent',{'M'},'independent',{'w'},...
     'coefficients',{'k', 'w_n', 'zeta'});

% Fit this model using new data
cf_ = fit(wv_wild(ok_),Mv_wild(ok_),ft_,fo_);

% Or use coefficients from the original fit:
if 0
   cv_ = { 4.238105174290796, 0.2787201538979926, 0.51438193347235206};
   cf_ = cfit(ft_,cv_{:});
end

% Plot this fit
h_ = plot(cf_,'fit',0.95);
legend off;  % turn off legend from plot method call
set(h_(1),'Color',[1 0 0],...
     'LineStyle','-', 'LineWidth',2,...
     'Marker','none', 'MarkerSize',6);
legh_(end+1) = h_(1);
legt_{end+1} = 'fit 1';

% Done plotting data and fits.  Now finish up loose ends.
hold off;
leginfo_ = {'Orientation', 'vertical', 'Location', 'NorthEast'}; 
h_ = legend(ax_,legh_,legt_,leginfo_{:});  % create legend
set(h_,'Interpreter','none');
xlabel(ax_,'');               % remove x label
ylabel(ax_,'');               % remove y label
